D4Science Infrastructure - Task #515

Investigate Redmine Plugin For Reports
Sep 01, 2015 03:26 PM - Luca Frosini

Status: Closed Start date: Sep 01, 2015
Priority: Normal Due date: Sep 09, 2015
Assignee: Gianpaolo Coro % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: Documentation

Infrastructure: Production

Description

History

#1 - Sep 01, 2015 03:37 PM - Luca Frosini
- Due date changed from Sep 02, 2015 to Sep 03, 2015

#2 - Sep 03, 2015 09:49 AM - Luca Frosini
- Due date changed from Sep 03, 2015 to Sep 04, 2015

- Target version changed from System Configuration to Documentation

#3 - Sep 08, 2015 10:17 AM - Luca Frosini
- Due date changed from Sep 04, 2015 to Sep 09, 2015

#4 - Sep 08, 2015 10:17 AM - Luca Frosini

- Status changed from New to In Progress

#5 - Sep 08, 2015 10:28 AM - Luca Frosini

- Assignee changed from Luca Frosini to Gianpaolo Coro

The available plugins produce report in terms of open, in progress, closed tickets, providing statistics regarding the time spent, the average closing

times and so on.
(e.g https://redmine.atori.de/ , http://www.redmine.org/projects/redmine/wiki/PluginTimesheet)

This ticket was open to find something which collects the notes inside tickets and produces reports regarding activities done in different WP.

A plugin to investigate better is
http://redminereports.codeplex.com/documentation
this seems running on local machine (windows only)

Gianpaolo Coro can you please check this plugin because | don't have a windows machine available to test it.

#6 - Sep 08, 2015 10:28 AM - Luca Frosini

- Status changed from In Progress to Paused

#7 - Sep 08, 2015 10:53 AM - Gianpaolo Coro
- File redmine tool.png added

The software requires direct connection to the Redmine MySQL database.
Andrea Dell'Amico could you please share these credentials with us?
| attach a screenshot of the form to fulfill.

#8 - Sep 08, 2015 11:54 AM - Andrea Dell'Amico

Gianpaolo Coro wrote:

The software requires direct connection to the Redmine MySQL database.
Andrea Dell'Amico could you please share these credentials with us?
https://redmine.atori.de/
http://www.redmine.org/projects/redmine/wiki/PluginTimesheet
http://redminereports.codeplex.com/documentation
https://redmine.dev.d4science.org/users/269
https://redmine.dev.d4science.org/users/37
https://redmine.dev.d4science.org/users/37

We are using postgresql as the Redmine backend. If the tool only supports MySQL we cannot use it.

#9 - Sep 10, 2015 05:36 PM - Gianpaolo Coro
- Status changed from Paused to Closed

- % Done changed from 0 to 100

Yes, the tool supports MySQL only. There is option to use another DB.

Files

redmine tool.png 7.69 KB
